
import 'plurk.dart';

class TopPlurks {

  int year;
  int month;
  int day;
  String period;

  //From the 'stats' weird stuffs.
  List<Plurk> plurks;
  int count;

  TopPlurks({this.year, this.month, this.day, this.period, this.plurks, this.count});

  TopPlurks.fromJson(Map<String, dynamic> json) {
    if (json['year'] != null) {
      year = int.tryParse(json['year']);
    }

    if (json['month'] != null) {
      month = int.tryParse(json['month']);
    }

    if (json['day'] != null) {
      day = int.tryParse(json['day']);
    }

    period = json['period'];

    //This is tricky!
    if (json['stats'] != null) {
      plurks = List<Plurk>();
      json['stats'].forEach((v) {
        //v is a list. And I don't know what it's first index for.
        List<dynamic> strangeList = v;
        //The first index is an int. Not sure what it is so I'll pass it.
        if (strangeList.length > 2) {
          //I hope this works.
          plurks.add(Plurk.fromJson(strangeList[1]));
        }
      });
    }

    if (json['count'] != null) {
      count = int.tryParse(json['count']);
    }
  }
}